Name:           python-zope-event
Version:        4.2.0
Release:        %mkrel 1
Summary:        Zope Event Publication
Group:          Development/Python
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.event/
Source0:        http://pypi.python.org/packages/source/z/zope.event/zope.event-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx

Requires:       python2

%{?python_provide:%python_provide python2-zope-event}

%description
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

%package -n python3-zope-event
Summary:        Zope Event Publication (Python 3)
%{?python_provide:%python_provide python3-zope-event}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3

%description -n python3-zope-event
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

This package contains the version for Python 3.

%prep
%setup -q -n zope.event-%{version}
rm -rf %{modname}.egg-info

%build
%py2_build
%py3_build

# build the sphinx documents
pushd docs
PYTHONPATH=../src make html
rm -f _build/html/.buildinfo
popd


%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files
%doc CHANGES.rst COPYRIGHT.txt README.rst
%doc docs/_build/html/
%license LICENSE.txt
%{python2_sitelib}/zope/event/
%exclude %{python2_sitelib}/zope/event/tests.py*
%dir %{python2_sitelib}/zope/
#%{python2_sitelib}/zope/__init__*
%{python2_sitelib}/zope.event-*.egg-info
%{python2_sitelib}/zope.event-*-nspkg.pth

%files -n python3-zope-event
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%doc docs/_build/html/
%license LICENSE.txt
%{python3_sitelib}/zope/event/
%exclude %{python3_sitelib}/zope/event/tests.py*
%exclude %{python3_sitelib}/zope/event/__pycache__/tests*
%dir %{python3_sitelib}/zope/
#%{python3_sitelib}/zope/__init__*
%{python3_sitelib}/zope.event-*.egg-info
%{python3_sitelib}/zope.event-*-nspkg.pth


%changelog
* Mon May 22 2017 mitya <mitya> 4.2.0-1.mga6
+ Revision: 1104062
- Mageify
- imported package python-zope-event

